.\"	$NetBSD: drtest.8,v 1.13 2003/04/13 16:04:02 cjep Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)drtest.8	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DRTEST 8 vax
.Os
.Sh NAME
.Nm drtest
.Nd stand-alone disk test program
.Sh DESCRIPTION
.Nm
is a stand-alone program used to read a disk
track by track.
It was primarily intended as a test program
for new stand-alone drivers, but has shown
useful in other contexts as well, such as
verifying disks and running speed
tests. For example, when a disk has been formatted
(by
.Xr format 8 ) ,
you can check that
hard errors has been taken care of by running
.Nm .
No hard errors should be found, but in many cases
quite a few soft
.Tn ECC
errors will be reported.
.Pp
While
.Nm
is running, the cylinder number is printed on
the console for every 10th cylinder read.
.Sh EXAMPLES
A sample run of
.Nm
is shown below.
In this example (using a 750),
.Nm
is loaded from the root file system;
usually it
will be loaded from the machine's
console storage device.  Boldface means user input.
As usual, ``#'' and ``@'' may be used to edit input.
.Pp
.Bd -unfilled -offset indent -compact
.Li \&\*[Gt]\*[Gt]\*[Gt] Ns Sy B/3
.Li \&%%
.Li \&loading hk(0,0)boot
.Li \&Boot
.Li \&: Sy \&hk(0,0)drtest
.Li Test program for stand-alone up and hp driver
.Pp
.Li Debugging level (1=bse, 2=ecc, 3=bse+ecc)?
.Li Enter disk name [type(adapter,unit),\ e.g.\ hp(1,3)]? Sy hp(0,0)
.Li Device data: #cylinders=1024, #tracks=16, #sectors=32
.Li Testing hp(0,0), chunk size is 16384 bytes.
.Em (chunk\ size\ is\ the\ number\ of\ bytes read per disk access)
.Li Start ...Make sure hp(0,0) is online
.Li \ ...
.Em (errors are reported as they occur)
.Li \ ...
.Em (...program restarts to allow checking other disks)
.Em (...to abort halt machine with \&^P)
.Ed
.Sh DIAGNOSTICS
The diagnostics are intended to be self explanatory. Note, however, that
the device number
in the diagnostic messages is identified as
.Em typeX
instead of
.Em type(a,u)
where
.Ar X
\&= a*8+u, e.g., hp(1,3) becomes hp11.
.Sh SEE ALSO
.Xr bad144 8 ,
.Xr format 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
.Sh AUTHORS
.An Helge Skrivervik
